<template>
  <div class="weui-tab">
    <div class="weui-navbar">
      <a href="javascript:" class="weui-navbar__item" :class="{'weui-bar-active': item.active}"
        v-for="(item, index) in tablist" :key="index" @click="tabChange(item)">
        {{item.name}}
      </a>
    </div>
  </div>
</template>

<script>
export default {
  name: 'tabComponent',
  props: {
    tabs: {
      type: Array,
      required: true
    }
  },
  data () {
    return {
      tablist: null
    }
  },
  methods: {
    tabChange (param) {
      this.tablist = this.tablist.map(cell => {
        if (param.type === cell.type) {
          cell.active = true
        } else {
          cell.active = false
        }
        return cell
      })
      this.$emit('tabchange', {
        value: param.type ? param.type : null
      })
    }
  },
  mounted: function () {
    this.tablist = this.tabs
  }
}
</script>

<style scoped>
.weui-tab {
  height: 48px;
}
.weui-navbar {
  background: #ffffff;
}
.weui-navbar .weui-navbar__item {
  padding: 12px 0;
}
.weui-navbar .weui-navbar__item:after {
  border-right: none;
}
.weui-navbar .weui-navbar__item:active {
  background: none;
}
.weui-bar-active {
  color: #ff0000;
}
</style>
